## td-system-tools 2.1.8

=== CMakeLists.txt ===
# ==========================================================================
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# System-Tools
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@simula.no


CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
PROJECT(td-system-tools)
ENABLE_LANGUAGE(C)

SET(BUILD_MAJOR "2")
SET(BUILD_MINOR "1")
SET(BUILD_PATCH "8")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
#### OS DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSE()
   MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### INTERNATIONALISATION (I18N)                                         ####
#############################################################################

FIND_PACKAGE (Intl)
IF (Intl_FOUND)
   MESSAGE(STATUS "Internationalization (i18n) found:")
   MESSAGE(STATUS " INTL_INCLUDE_DIRS: ${Intl_INCLUDE_DIRS}")
   MESSAGE(STATUS " INTL_LIBRARIES: ${Intl_LIBRARIES}")
   MESSAGE(STATUS " Version: ${Intl_VERSION}")
   INCLUDE_DIRECTORIES(${Intl_INCLUDE_DIRS})
   LINK_DIRECTORIES(${Intl_LIBRARY_DIRS})
ELSE()
   MESSAGE(STATUS "Internationalization (i18n) not found!")
ENDIF()

FIND_PROGRAM(XGETTEXT xgettext REQUIRED)
FIND_PROGRAM(MSGMERGE msgmerge REQUIRED)
FIND_PROGRAM(MSGFMT   msgfmt   REQUIRED)


#############################################################################
#### SUBDIRECTORIES                                                      ####
#############################################################################

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(po)

=== po/CMakeLists.txt ===
# ==========================================================================
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# System-Tools
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@simula.no


#############################################################################
#### TRANSLATIONS                                                        ####
#############################################################################

SET(copyrightHolder   "Copyright (C) 2013-2025 by Thomas Dreibholz")
SET(bugTrackerAddress "https://github.com/dreibh/system-tools/issues")

FILE(GLOB sources "*.sources")

# ====== Find all text domains ==============================================
FOREACH(source IN LISTS sources)
   # The .sources file lists the source files for each text domain:
   GET_FILENAME_COMPONENT(potFile "${source}" NAME_WE)
   SET(potFile "${CMAKE_CURRENT_BINARY_DIR}/${potFile}.pot")
   GET_FILENAME_COMPONENT(textdomain "${source}" NAME_WE)


   # ====== Create POT file (translation template) ==========================
   FILE(READ "${source}" potInputFiles)
   STRING(REGEX REPLACE "[ \n]" ";" potInputFiles "${potInputFiles}")
   # The input (in potInputFiles) contains file names and options
   # (e.g. --language=C++). For the dependencies, just extract the list of
   # files without the options:
   SET(LIST potInputFilesForDependency "")
   FOREACH(file ${potInputFiles})
      GET_FILENAME_COMPONENT(fileName ${file} NAME)
      IF (NOT ${fileName} MATCHES "^[-][-]")
         # File -> Add absolute file name
         LIST(APPEND potInputFilesForDependency ${potInputFilesAbsolute} "${PROJECT_SOURCE_DIR}/${file}")
      ENDIF()
   ENDFOREACH()

   MESSAGE("Translation template: ${textdomain} (${potInputFiles} -> ${potFile})")
   ADD_CUSTOM_COMMAND(OUTPUT "${potFile}"
                      COMMAND "${XGETTEXT}"
                         --from-code=utf-8
                         --default-domain="${textdomain}"
                         --package-name="${PROJECT_NAME}"
                         --package-version="${BUILD_VERSION}"
                         --copyright-holder="${copyrightHolder}"
                         --msgid-bugs-address="${bugTrackerAddress}"
                         --no-wrap
                         -p "${CMAKE_CURRENT_SOURCE_DIR}"
                         -o "${potFile}"
                         ${potInputFiles}
                       COMMAND sed -e "s/charset=CHARSET/charset=UTF-8/g" -i~ "${potFile}"
                       WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                       DEPENDS ${potInputFilesForDependency} "${source}"
                       VERBATIM)
   SET(generate_PotFile "generate_pot_${textdomain}")
   ADD_CUSTOM_TARGET(${generate_PotFile} ALL DEPENDS "${potFile}")


   # ====== Process PO files (translations) =================================
   FILE(GLOB_RECURSE poFiles "*/${textdomain}.po")
   FOREACH(poFile IN LISTS poFiles)

      # ====== Update PO file (translation) =================================
      GET_FILENAME_COMPONENT(languageDirectory "${poFile}" DIRECTORY)
      GET_FILENAME_COMPONENT(language "${languageDirectory}" NAME "${CMAKE_CURRENT_SOURCE_DIR}")
      SET(poStampFile "${CMAKE_CURRENT_BINARY_DIR}/${language}/.${textdomain}.po.stamp")

      MESSAGE("Translation update: ${textdomain}, ${language} (${potFile} -> ${poFile})")
      # The .po file cannot be OUTPUT, since "make clean" would then delete it
      # => Using a stamp file as placeholder to ensure the dependency.
      ADD_CUSTOM_COMMAND(OUTPUT "${poStampFile}"
                         COMMAND "${MSGMERGE}"
                            --update "${poFile}" "${potFile}"
                            --no-wrap
                         COMMAND touch "${poStampFile}"
                         WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                         DEPENDS ${generate_PotFile} "${potFile}")
      SET(generate_PoFile "generate_po_${textdomain}_${language}")
      ADD_CUSTOM_TARGET(${generate_PoFile} DEPENDS "${poStampFile}")


      # ====== Compile PO file to MO file ===================================
      FILE(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${language}/LC_MESSAGES")
      SET(moFile "${CMAKE_CURRENT_BINARY_DIR}/${language}/LC_MESSAGES/${textdomain}.mo")

      MESSAGE("Compiling translation: ${textdomain}, ${language} (${poFile} -> ${moFile})")
      ADD_CUSTOM_COMMAND(OUTPUT "${moFile}"
                         COMMAND "${MSGFMT}"
                            --statistics
                            --check
                            --output-file="${moFile}"
                            ${poFile}
                         WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                         DEPENDS ${generate_PoFile} "${poFile}")
      SET(generate_MoFile "generate_mo_${textdomain}_${language}")
      ADD_CUSTOM_TARGET(${generate_MoFile} ALL DEPENDS "${moFile}")


      # ====== Install MO file ==============================================
      INSTALL(FILES "${moFile}"
              DESTINATION "${CMAKE_INSTALL_DATADIR}/locale/${language}/LC_MESSAGES")

   ENDFOREACH()
ENDFOREACH()

=== freebsd/td-system-tools/Makefile ===
PORTNAME=	td-system-tools
DISTVERSION=	2.1.8
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/system-tools/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	Printing basic system information and system maintenance
WWW=		https://www.nntb.no/~dreibh/system-tools/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

RUN_DEPENDS=	bash:shells/bash \
		getopt>=0:misc/getopt \
		figlet:misc/figlet \
		mbuffer:misc/mbuffer

USES=		cmake gettext tar:xz
CMAKE_ARGS=	-DCMAKE_INSTALL_MANDIR=${PREFIX}/share/man

.include <bsd.port.mk>

=== src/Configure-GRUB/CMakeLists.txt ===
# ==========================================================================
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# System-Tools
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com


#############################################################################
#### PROGRAMS                                                            ####
#############################################################################

INSTALL(PROGRAMS configure-grub DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES configure-grub.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       configure-grub.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      configure-grub)


#############################################################################
#### EXAMPLES                                                            ####
#############################################################################

INSTALL(FILES grub-defaults-nornet   DESTINATION ${CMAKE_INSTALL_DATADIR}/configure-grub)
INSTALL(FILES grub-defaults-standard DESTINATION ${CMAKE_INSTALL_DATADIR}/configure-grub)

=== src/System-Info/CMakeLists.txt ===
# ==========================================================================
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# System-Tools
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com


#############################################################################
#### PROGRAMS                                                            ####
#############################################################################

INSTALL(PROGRAMS System-Info DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES System-Info.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       System-Info.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      System-Info)

ADD_EXECUTABLE(get-system-info get-system-info.c)
# SET_PROPERTY(TARGET get-system-info PROPERTY C_STANDARD 23)
INSTALL(TARGETS get-system-info DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES get-system-info.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       get-system-info.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      get-system-info)


#############################################################################
#### CONFIGURATION FILES                                                 ####
#############################################################################

INSTALL(PROGRAMS system-info.d/01-example    DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-info.d)
INSTALL(PROGRAMS system-info.d/banner-helper DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-info.d)

INSTALL(FILES profile.d/system-info.sh  DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/profile.d)
INSTALL(FILES profile.d/system-info.csh DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/profile.d)


#############################################################################
#### EXAMPLES                                                            ####
#############################################################################

INSTALL(PROGRAMS system-info.d/01-example              DESTINATION ${CMAKE_INSTALL_DATADIR}/System-Info)
INSTALL(PROGRAMS system-info.d/09-hostname-example     DESTINATION ${CMAKE_INSTALL_DATADIR}/System-Info)
INSTALL(PROGRAMS system-info.d/10-company-logo-example DESTINATION ${CMAKE_INSTALL_DATADIR}/System-Info)
INSTALL(PROGRAMS system-info.d/banner-helper           DESTINATION ${CMAKE_INSTALL_DATADIR}/System-Info)

=== debian/changelog ===
td-system-tools (2.1.8-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 01 Nov 2025 18:08:31 +0100

td-system-tools (2.1.7-1ubuntu1) forky; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 27 Oct 2025 14:27:51 +0100

=== debian/control ===
Source: td-system-tools
Section: utils
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/system-tools/
Vcs-Git: https://github.com/dreibh/system-tools.git
Vcs-Browser: https://github.com/dreibh/system-tools
Build-Depends: cmake (>= 3.5),
               debhelper-compat (= 13)
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: td-system-info
Architecture: all
Depends: figlet | toilet,
         gettext-base,
         mbuffer | buffer,
         td-get-system-info (>= ${source:Version}),
         td-print-utf8 (>= ${source:Version}),
         ${misc:Depends}
Recommends: iputils-ping,
            iputils-tracepath,
            subnetcalc
Description: Print basic system information and banners
 This program displays basic status information about the system:
 hostname, uptime, CPU, memory statistics, disk space statistics,
 SSH public key hashes, and networking information. Furthermore,
 it can be configured to show one or more banners (for example,
 a project name).
 System-Info can be configured to be automatically run when logging
 in, providing the user an up-to-date overview of the system.

Package: td-system-maintenance
Architecture: all
Depends: apt-show-versions,
         gettext-base,
         sudo,
         ${misc:Depends}
Recommends: td-system-info
Description: Perform basic system maintenance
 This program runs basic system maintenance tasks:
 trying to repair broken package management, updating the package
 management databases, installing all available updates, checking
 for old kernels and removing them, trim SSD or unmap unused storage.

Package: td-reset-machine-id
Architecture: all
Depends: gettext-base,
         sudo,
         ${misc:Depends}
Provides: td-system-reset-machine-id
Replaces: td-system-reset-machine-id
Breaks: td-system-reset-machine-id (<< ${source:Version})
Recommends: td-system-info,
            td-system-maintenance
Description: Reset machine identity state
 This program helps to reset the machine identity state:
 reset machine ID, change hostname, replace SSH keys, suggest hardened
 SSH client and server settings.

Package: td-fingerprint-ssh-keys
Architecture: all
Depends: gettext-base,
         ${misc:Depends}
Provides: td-system-fingerprint-ssh-keys
Replaces: td-system-fingerprint-ssh-keys
Breaks: td-system-fingerprint-ssh-keys (<< ${source:Version})
Recommends: td-system-info
Description: Print SSH key fingerprints
 This program prints the SSH key fingerprints of the local machine
 in different formats: SSH hash, DNS SSHFP RR.

Package: td-system-configure-grub
Architecture: all
Depends: gettext-base,
         ${misc:Depends}
Recommends: grub2-common,
            td-system-maintenance
Description: Helper tool to adjust GRUB configuration
 This program adjusts a GRUB configuration file by applying a configuration
 from a template, and merging the existing configurations settings with
 additional customisations. It can for example be used to set a custom
 screen resolution (GRUB_GFXMODE option) or startup tune (GRUB_INIT_TUNE
 option).
 Warning: This program is meant to be used by expert users! Do not modify
 a working GRUB configuration without knowing how to boot the system from
 a rescue media to fix a broken configuration!

Package: td-get-system-info
Architecture: any
Depends: procps,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Obtain basic system information
 This small program obtains basic status information about the system:
 hostname, uptime, CPU, memory statistics, and networking information.
 The output is printed in machine-readable form, which can be used
 with evaluation in shell scripts for further processing.

Package: td-print-utf8
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Print UTF-8 strings and obtain size/length/width information
 print-utf8 is a simple program to print UTF-8 strings in the console with
 options for indentation, centering, separator as well as size/length/width
 information.

Package: td-text-block
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Apply modifications to text
 text-block reads text from standard input or given file, and writes it to
 standard output or a given file. On the text, various modifications can be
 applied, according to the operation mode.

Package: td-misc
Architecture: any
Depends: gettext-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: td-print-utf8
Description: Miscellaneous tools
 This package contains two simple tools:
 try-hard runs a command and retries for a given number of times in case
 of error, with a delay between the trials.
 random-sleep waits for a random time, selected from a given interval, with
 support for fractional seconds.

Package: td-system-tools
Architecture: all
Depends: td-fingerprint-ssh-keys (>= ${source:Version}),
         td-misc (>= ${source:Version}),
         td-reset-machine-id  (>= ${source:Version}),
         td-system-info (>= ${source:Version}),
         td-system-maintenance (>= ${source:Version}),
         td-text-block (>= ${source:Version}),
         ${misc:Depends}
Provides: td-system-reset-machine-id
Replaces: td-system-reset-machine-id
Breaks: td-system-reset-machine-id (<< ${source:Version})
Recommends: td-system-configure-grub
Description: Metapackage for system information and maintenance tools
 This package is a metapackage for the system information and maintenance
 tools.

## td-system-tools 2.1.9

=== debian/changelog ===
td-system-tools (2.1.9-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 14 Nov 2025 11:06:44 +0100

td-system-tools (2.1.8-1ubuntu1) forky; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 01 Nov 2025 18:08:31 +0100

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_SYSCONFDIR=/etc

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.nntb.no/~dreibh/system-tools/index.html    download/td-system-tools-(.*)\.tar\.xz

## td-system-tools 2.2.0~rc0

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,8 +33,8 @@
 ENABLE_LANGUAGE(C)
 
 SET(BUILD_MAJOR "2")
-SET(BUILD_MINOR "1")
-SET(BUILD_PATCH "8")
+SET(BUILD_MINOR "2")
+SET(BUILD_PATCH "0~rc0")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== freebsd/td-system-tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	td-system-tools
-DISTVERSION=	2.1.8
+DISTVERSION=	2.2.0~rc0
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/system-tools/download/

=== debian/changelog ===
td-system-tools (2.2.0~rc0-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 24 Nov 2025 16:04:10 +0100

td-system-tools (2.1.9-1ubuntu1) forky; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 14 Nov 2025 11:06:44 +0100

## td-system-tools 2.2.0~rc1

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "2")
-SET(BUILD_PATCH "0~rc0")
+SET(BUILD_PATCH "0~rc1")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== freebsd/td-system-tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	td-system-tools
-DISTVERSION=	2.2.0~rc0
+DISTVERSION=	2.2.0~rc1
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/system-tools/download/

=== debian/changelog ===
td-system-tools (2.2.0~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 26 Nov 2025 11:20:50 +0100

## td-system-tools 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "2")
-SET(BUILD_PATCH "0~rc1")
+SET(BUILD_PATCH "0")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== freebsd/td-system-tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	td-system-tools
-DISTVERSION=	2.2.0~rc1
+DISTVERSION=	2.2.0
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/system-tools/download/

=== debian/changelog ===
td-system-tools (2.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 26 Nov 2025 14:07:13 +0100

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,7 @@
          td-get-system-info (>= ${source:Version}),
          td-print-utf8 (>= ${source:Version}),
          ${misc:Depends}
-Recommends: iputils-ping,
-            iputils-tracepath,
-            subnetcalc
+Recommends: subnetcalc
 Description: Print basic system information and banners
  This program displays basic status information about the system:
  hostname, uptime, CPU, memory statistics, disk space statistics,
@@ -48,9 +46,6 @@
 Depends: gettext-base,
          sudo,
          ${misc:Depends}
-Provides: td-system-reset-machine-id
-Replaces: td-system-reset-machine-id
-Breaks: td-system-reset-machine-id (<< ${source:Version})
 Recommends: td-system-info,
             td-system-maintenance
 Description: Reset machine identity state
@@ -62,9 +57,6 @@
 Architecture: all
 Depends: gettext-base,
          ${misc:Depends}
-Provides: td-system-fingerprint-ssh-keys
-Replaces: td-system-fingerprint-ssh-keys
-Breaks: td-system-fingerprint-ssh-keys (<< ${source:Version})
 Recommends: td-system-info
 Description: Print SSH key fingerprints
  This program prints the SSH key fingerprints of the local machine
@@ -115,6 +107,23 @@
  standard output or a given file. On the text, various modifications can be
  applied, according to the operation mode.
 
+Package: td-x509-tools
+Architecture: any
+Depends: gettext-base,
+         openssl,
+         td-text-block,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: gnutls-bin,
+            libnss3-tools
+Description: X.509 certificate handling tools
+ This package contains four simple tools:
+ view-certificate displays an X.509 certificate and its hierarchy.
+ check-certificate verifies an X.509 certificate using a CA certificate
+ and optionally a revocation list.
+ extract-pem extracts a PEM file.
+ test-tls-connection tests a TCP TLS connection to a remote endpoint.
+
 Package: td-misc
 Architecture: any
 Depends: gettext-base,
@@ -136,10 +145,8 @@
          td-system-info (>= ${source:Version}),
          td-system-maintenance (>= ${source:Version}),
          td-text-block (>= ${source:Version}),
+         td-x509-tools (>= ${source:Version}),
          ${misc:Depends}
-Provides: td-system-reset-machine-id
-Replaces: td-system-reset-machine-id
-Breaks: td-system-reset-machine-id (<< ${source:Version})
 Recommends: td-system-configure-grub
 Description: Metapackage for system information and maintenance tools
  This package is a metapackage for the system information and maintenance

## td-system-tools 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "2")
-SET(BUILD_PATCH "0")
+SET(BUILD_PATCH "1")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== src/CMakeLists.txt ===
# ==========================================================================
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# System-Tools
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com


#############################################################################
#### VERSION FILE                                                        ####
#############################################################################

CONFIGURE_FILE (
   "${CMAKE_CURRENT_SOURCE_DIR}/package-version.h.in"
   "${CMAKE_CURRENT_BINARY_DIR}/package-version.h"
)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})


#############################################################################
#### SUBDIRECTORIES                                                      ####
#############################################################################

ADD_SUBDIRECTORY(System-Info)
ADD_SUBDIRECTORY(System-Maintenance)
ADD_SUBDIRECTORY(Print-UTF8)
ADD_SUBDIRECTORY(Text-Block)
ADD_SUBDIRECTORY(Fingerprint-SSH-Keys)
ADD_SUBDIRECTORY(Configure-GRUB)
ADD_SUBDIRECTORY(Reset-Machine-ID)
ADD_SUBDIRECTORY(Try-Hard)
ADD_SUBDIRECTORY(Random-Sleep)
ADD_SUBDIRECTORY(X509)

=== freebsd/td-system-tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	td-system-tools
-DISTVERSION=	2.2.0
+DISTVERSION=	2.2.1
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/system-tools/download/
 
@@ -11,11 +11,11 @@
 LICENSE_FILE=	${WRKSRC}/COPYING
 
 RUN_DEPENDS=	bash:shells/bash \
+		figlet:misc/figlet \
 		getopt>=0:misc/getopt \
-		figlet:misc/figlet \
 		mbuffer:misc/mbuffer
 
-USES=		cmake gettext tar:xz
+USES=		cmake gettext ssl:run tar:xz
 CMAKE_ARGS=	-DCMAKE_INSTALL_MANDIR=${PREFIX}/share/man
 
 .include <bsd.port.mk>

=== src/X509/CMakeLists.txt ===
# ==========================================================================
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# System-Tools
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com


#############################################################################
#### PROGRAMS                                                            ####
#############################################################################

INSTALL(PROGRAMS check-certificate DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES check-certificate.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       check-certificate.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      check-certificate)

INSTALL(PROGRAMS view-certificate DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES view-certificate.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       view-certificate.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      view-certificate)

INSTALL(PROGRAMS extract-pem DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES extract-pem.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       extract-pem.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      extract-pem)

INSTALL(PROGRAMS test-tls-connection DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES test-tls-connection.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       test-tls-connection.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      test-tls-connection)

=== debian/changelog ===
td-system-tools (2.2.1-1) unstable; urgency=low

  * Closes: #1073548 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 28 Nov 2025 16:23:27 +0100

## td-system-tools 2.2.2~rc1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # ==========================================================================
 #
 # System-Tools
-# Copyright (C) 2013-2025 by Thomas Dreibholz
+# Copyright (C) 2013-2026 by Thomas Dreibholz
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -34,7 +34,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "2")
-SET(BUILD_PATCH "1")
+SET(BUILD_PATCH "2~rc1")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== freebsd/td-system-tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	td-system-tools
-DISTVERSION=	2.2.1
+DISTVERSION=	2.2.2~rc1
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/system-tools/download/

=== debian/changelog ===
td-system-tools (2.2.2~rc1-1) unstable; urgency=low

  * Closes: #1073548 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 04 Dec 2025 12:40:22 +0100

## td-system-tools 2.2.2~rc2

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "2")
-SET(BUILD_PATCH "2~rc1")
+SET(BUILD_PATCH "2~rc2")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== freebsd/td-system-tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	td-system-tools
-DISTVERSION=	2.2.2~rc1
+DISTVERSION=	2.2.2~rc2
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/system-tools/download/

=== debian/changelog ===
td-system-tools (2.2.2~rc2-1) unstable; urgency=low

  * Closes: #1073548 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 04 Dec 2025 15:53:27 +0100

## td-system-tools 2.2.3

=== debian/changelog ===
td-system-tools (2.2.3-1) unstable; urgency=low

  * Closes: #1073548 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 09 Dec 2025 16:59:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
 Homepage: https://www.nntb.no/~dreibh/system-tools/
-Vcs-Git: https://github.com/dreibh/system-tools.git
-Vcs-Browser: https://github.com/dreibh/system-tools
-Build-Depends: cmake (>= 3.5),
+Build-Depends: cmake,
                debhelper-compat (= 13)
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
@@ -114,6 +112,9 @@
          td-text-block,
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: td-x509
+Replaces: td-x509
+Breaks: td-x509 (<< ${source:Version})
 Recommends: gnutls-bin,
             libnss3-tools
 Description: X.509 certificate handling tools
